org.w3._2000._09.xmldsig

## Class X509Data

- java.lang.Object
- - org.w3._2000._09.xmldsig.X509Data

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class X509Data
      extends Object
      implements Serializable

  Java class for X509DataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="X509DataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence maxOccurs="unbounded">
               <choice>
                 <element name="X509IssuerSerial" type="{http://www.w3.org/2000/09/xmldsig#}X509IssuerSerialType"/>
                 <element name="X509SKI" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <element name="X509SubjectName" type="{http://www.w3.org/2001/XMLSchema}string"/>
                 <element name="X509Certificate" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <element name="X509CRL" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <any processContents='lax' namespace='##other'/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509Data()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<byte[]>` | `getX509Certificate()` Gets the value of the x509Certificate property.
    `List<byte[]>` | `getX509CRL()` Gets the value of the x509CRL property.
    `List<X509IssuerSerialType>` | `getX509IssuerSerial()` Gets the value of the x509IssuerSerial property.
    `List<byte[]>` | `getX509SKI()` Gets the value of the x509SKI property.
    `List<String>` | `getX509SubjectName()` Gets the value of the x509SubjectName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509Data

          public X509Data()

  - ### Method Detail

    - #### getX509IssuerSerial

          public List<X509IssuerSerialType> getX509IssuerSerial()

      Gets the value of the x509IssuerSerial property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the x509IssuerSerial property.

      For example, to add a new item, do as follows:

              getX509IssuerSerial().add(newItem);

      Objects of the following type(s) are allowed in the list `X509IssuerSerialType`

    - #### getX509SubjectName

          public List<String> getX509SubjectName()

      Gets the value of the x509SubjectName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the x509SubjectName property.

      For example, to add a new item, do as follows:

              getX509SubjectName().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getX509Certificate

          public List<byte[]> getX509Certificate()

      Gets the value of the x509Certificate property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the x509Certificate property.

      For example, to add a new item, do as follows:

              getX509Certificate().add(newItem);

      Objects of the following type(s) are allowed in the list byte[]

    - #### getX509SKI

          public List<byte[]> getX509SKI()

      Gets the value of the x509SKI property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the x509SKI property.

      For example, to add a new item, do as follows:

              getX509SKI().add(newItem);

      Objects of the following type(s) are allowed in the list byte[]

    - #### getX509CRL

          public List<byte[]> getX509CRL()

      Gets the value of the x509CRL property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the x509CRL property.

      For example, to add a new item, do as follows:

              getX509CRL().add(newItem);

      Objects of the following type(s) are allowed in the list byte[]

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.